List Account Children
curl --request GET \
--url https://api.m3ter.com/organizations/{orgId}/accounts/{id}/children \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.m3ter.com/organizations/{orgId}/accounts/{id}/children"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.m3ter.com/organizations/{orgId}/accounts/{id}/children', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "<string>",
"version": 123,
"customFields": {},
"name": "<string>",
"code": "<string>",
"address": {
"addressLine1": "<string>",
"addressLine2": "<string>",
"addressLine3": "<string>",
"addressLine4": "<string>",
"locality": "<string>",
"region": "<string>",
"postCode": "<string>",
"country": "<string>"
},
"emailAddress": "<string>",
"parentAccountId": "<string>",
"billEpoch": "2023-12-25",
"purchaseOrderNumber": "<string>",
"currency": "USD",
"statementDefinitionId": "<string>",
"dtCreated": "2023-11-07T05:31:56Z",
"dtLastModified": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"lastModifiedBy": "<string>",
"creditApplicationOrder": [],
"daysBeforeBillDue": 123
}
],
"nextToken": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}Retrieve a list of Accounts that are children of the specified Account.
GET
/
organizations
/
{orgId}
/
accounts
/
{id}
/
children
List Account Children
Authorizations
m3ter supports machine to machine authentication using the clientCredentials OAuth2 flow.
The authorizationCode flow controls access for human users via the m3ter Console application.
Path Parameters
UUID of the organization. The Organization represents your company as a direct customer of the m3ter service.
The UUID of the Account to list children for.
⌘I